<?php

namespace common\logic\Feature\FeatureProducer\Service;

use common\logic\AbstractDefinition;
use common\logic\Feature\FeatureProducer\Model\FeatureProducer;
use common\logic\Feature\FeatureProducer\Repository\FeatureProducerRepository;

class FeatureProducerDefinition extends AbstractDefinition
{
    public function getEntityFqcn(): string
    {
        return FeatureProducer::class;
    }

    public function getDefinition(): FeatureProducerDefinition
    {
        return FeatureProducerDefinition::getInstance();
    }

    public function getRepository(): FeatureProducerRepository
    {
        return FeatureProducerRepository::getInstance();
    }
}
